/*
 * MyProperties.java --- Extension of wassong.gui.tools.MyProperties class
 *
 * Copyright (c) 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

import java.util.Properties;

public class MyProperties extends wassong.gui.tools.MyProperties {

    public static final String NATCH_PATH = "Natch.path";
    public static final String NATCH_PARAMETERS = "Natch.parameters";
    public static final String NOTATION_USE_FRENCH_C_AND_E
	= "notation.use-french-c-and-e";
    public static final String NOTATION_USE_FRENCH_C_AND_E_IF_FRENCH
	= "notation.use-french-c-and-e.if-french-notation";
    public static final String NOTATION_USE_SPECIAL_CHARACTERS
	= "notation.use-special-characters";
    public static final String NOTATION_CASTLING_USE_ZEROS
	= "notation.use-zeros-for-castling";
    public static final String NOTATION_SHOW_SINGLE_MOVES
	= "notation.show-single-moves";
    public static final String MISC_USE_SPG_HEURISTICS
	= "misc.use-SPG-heuristics";
    public static final String DEFAULT_COPY_ACTION
	= "default-copy-action";
    public static final String WINDOW_SIZE = "window.size";
    public static final String SIZE_MOVES = "size.moves";
    public static final String SIZE_RIGHT_DIAGRAM = "size.rightDiagram";
    public static final String OUTPUT_LANGUAGE = "output-language";
    public static final String SAVE_DIRECTORY = "save.directory";

    public MyProperties( String defaultFile, String file ) {
	super( defaultFile, file );
    }

    public MyProperties( Properties defaultProperties, String file ) {
	super( defaultProperties, file );
    }
}
